MARTe2-core - User story #147

Lint: EventSem
28.06.2015 18:59 - André Neto

Status: Closed
Priority: Normal
Assignee:

Category:

Target version: 0.2

Git branch (link):

Git merge to develop
(link):

Start date:
Due date:

% Done:

Estimated time:

Spent time:

SVN commit
(link/?p=rev):

28.06.2015

0%
0.00 hour
0.00 hour

Description

Verify and implement coding standard using Flexelint.

Source code files modified

Architecture & design review

Date of the review: 24/07/2015

Person who did the review: Giuseppe Ferro

Version of architecture & design document: N/A. As per the original MARTe implementation, this is a support function and does

not require formal design in UML.
Result of review: N/A

List of non-conformities: N/A

Code and documentation review

Date of the review: 22/07/2015
Person who did the review: Giuseppe Ferro
Result of review: PASS (MISRA compliant)

List of non-conformities: N/A.

Unit test review

Date of the review: 24/07/2015

Person who did the review: Giuseppe Ferro
Result of coverage tests review: PASS
Result of functional tests review: PASS
Result of review: PASS

List of non-conformities:

Coverage Note: Error paths not completely exercized.
Revision 48595840 - 03.07.2015 14:16 - André Neto
Linting of EventSem #147.

Revision a6a3c341 - 03.07.2015 17:24 - André Neto

Minor correction in linting comment #147.
Revision 37b634f6 - 07.07.2015 08:22 - André Neto
Linting of EventSem #147.

Still work in progress for the linting of EventSem. As a result there is
a major refactor of the Linux EventSem implementation.

Revision e2cbe039 - 09.07.2015 12:16 - André Neto
Linted implementation of EventSem completed #147.

The EventSem was implemented and linted. The tests executed with no
errors and all the lint issues were addressed as comments in the code.

Revision 3¢62af70 - 24.07.2015 17:21 - Giuseppe Ferro
Removed a double header file inclusion in EventSemTest.cpp

#147

History

#1 - 02.07.2015 17:20 - Riccardo Vitelli

- Target version set to Backlog

#2 - 02.07.2015 18:07 - Riccardo Vitelli

- Target version changed from Backlog to 0.2

#3 - 02.07.2015 18:08 - Riccardo Vitelli

- Status changed from New to Code: Impl

#4 - 03.07.2015 14:12 - André Neto

- Assignee set to André Neto

#5 - 09.07.2015 14:21 - Riccardo Vitelli
- Status changed from Code: Impl to Code: Rev

#6 - 09.07.2015 14:22 - Riccardo Vitelli
- Assignee deleted (André Neto)

#7 - 24.07.2015 17:02 - Giuseppe Ferro

- Status changed from Code: Rev to Unit: Rev

#8 - 24.07.2015 17:02 - Giuseppe Ferro

- Assignee set to Giuseppe Ferro

#9 - 24.07.2015 17:03 - Giuseppe Ferro
- Status changed from Unit: Rev to Unit: Impl

#10 - 24.07.2015 17:04 - Giuseppe Ferro
- Status changed from Unit: Impl to Code: Rev

#11 - 24.07.2015 17:12 - Giuseppe Ferro
- Description updated

- Assignee deleted (Giuseppe Ferro)

Code Review done: 84835a7
#12 - 24.07.2015 17:12 - Giuseppe Ferro
- Status changed from Code: Rev to Unit: Impl

#13 - 24.07.2015 17:12 - Giuseppe Ferro
- Status changed from Unit: Impl to Unit: Rev

#14 - 24.07.2015 17:12 - Giuseppe Ferro

- Assignee set to Giuseppe Ferro

#15 - 24.07.2015 17:23 - Giuseppe Ferro
- Description updated
- Status changed from Unit: Rev to Closed

- Assignee deleted (Giuseppe Ferro)

Unit Test Revision done: 3c62af7
